"cancel" button doesn't go away quick enough

Bug #47733 reported by Scott James Remnant (Canonical) on 2006-05-31
6
Affects Status Importance Assigned to Milestone
cdebconf (Ubuntu)
Undecided
Colin Watson
netcfg (Ubuntu)
Medium
Colin Watson

Bug Description

Network configuration successful, progress 100%, yet there's a cancel button.

Colin Watson (cjwatson) wrote :

Fix committed upstream.

Changed in netcfg:
assignee: nobody → kamion
status: Unconfirmed → Fix Committed
Colin Watson (cjwatson) wrote :

We have netcfg 1.27ubuntu2 in edgy now, including:

netcfg (1.26) unstable; urgency=low

  [ Christian Perrier ]
  * Take advantage of the new po-debconf commenting capabilities
    and adapt translators comment to it
  * Split _Choices to __choices in templates

  [ Bastian Blank ]
  * Ignore sit devices.

  [ Colin Watson ]
  * Make sure empty ESSIDs don't get written to /etc/network/interfaces;
    this causes ifup to fail to bring up lo due to the syntax error.
  * Turn off cancel button on DHCP progress bar once DHCP succeeds (closes:
    https://launchpad.net/bugs/47733).

  [ Updated translations ]
  [...]

 -- Joey Hess <email address hidden> Wed, 7 Jun 2006 22:08:32 -0400

Changed in netcfg:
status: Fix Committed → Fix Released
Colin Watson (cjwatson) wrote :

Unfortunately, there's a problem in cdebconf that means that this didn't quite work. It only redraws the progress form under certain circumstances - where possible, it just adjusts the text in the existing form, which is faster - and at present the progresscancel state changing isn't enough to trigger a redraw.

Changed in cdebconf:
status: Unconfirmed → Confirmed
Colin Watson (cjwatson) wrote :

I've committed a fix for this cdebconf bug upstream for cdebconf 0.106.

Changed in cdebconf:
assignee: nobody → kamion
status: Confirmed → Fix Committed
Colin Watson (cjwatson) wrote :

Make that cdebconf 0.110; there was a problem in the initial implementation.

Colin Watson (cjwatson) wrote :

cdebconf (0.110ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Disable gtk frontend.

 -- Colin Watson <email address hidden> Fri, 15 Dec 2006 10:20:17 +0000

cdebconf (0.110) unstable; urgency=low

  [...]
  [ Colin Watson ]
  * Restore newt progress bar refactoring, this time with an extra tweak to
    tear down the old progress bar if you attempt to start a nested progress
    bar. (Don't do that; it's not supported and trying to use the outer
    progress bar after stopping the inner one will result in cdebconf
    silently sitting there at a black screen. However, partman-auto does
    this at the moment. See #391676.)
  [...]

 -- Frans Pop <email address hidden> Mon, 11 Dec 2006 01:13:33 +0100

[...]

cdebconf (0.106) unstable; urgency=low

  [...]
  [ Colin Watson ]
  * Refactor newt frontend to have a single common function to build the
    progress bar form, which redraws the progress bar when the
    progresscancel state changes (closes: https://launchpad.net/bugs/47733).
  [...]

 -- Frans Pop <email address hidden> Sun, 24 Sep 2006 15:08:33 +0200

Changed in cdebconf:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers